regina::BanBoundary Class Reference
Vertex Enumeration

A class that bans normal disc types that meet the boundary of the underlying triangulation. More...

`#include <enumerate/treeconstraint.h>`

Inheritance diagram for regina::BanBoundary:

## Protected Member Functions

| BanBoundary (const Triangulation< 3 > *tri, int coords)
| Constructs and initialises the banned_ and marked_ arrays to be entirely `false`, as described in the BanConstraintBase superclass constructor. More...
void | init (const int *columnPerm)
template<class LPConstraint , typename IntType >
void | enforceBans (LPData< LPConstraint, IntType > &lp) const
| Enforces all bans described by this class in the given tableaux. More...

## Static Protected Member Functions

static bool | supported (NormalCoords coords)

## Protected Attributes

const Triangulation< 3 > * | tri_
| The triangulation with which we are working. More...
int | coords_
| The normal or almost normal coordinate system in which we are working. More...
bool * | banned_
| Indicates which columns of a tableaux correspond to banned coordinates (e.g., banned normal disc types). More...
bool * | marked_
| Indicates which columns of a tableaux correspond to marked coordinates (e.g., marked normal disc types). More...

## Detailed Description

A class that bans normal disc types that meet the boundary of the underlying triangulation.

No disc types are marked at all.

This class is only for use with normal or almost normal surfaces, not angle structures.

Warning
  This class only works as expected in standard normal or almost normal coordinates. In quadrilateral or quadrilateral-octagon coordinates it will only ban quadrilaterals or octagons that touch the boundary, but it will still allow triangles that meet the boundary (since triangle types are not counted in these coordinate systems). The supported() routine will only return `true` in standard normal or almost normal coordinates.

See the BanConstraintBase class notes for details on all member functions and structs.

Warning
  The API for this class has not yet been finalised. This means that the class interface may change in new versions of Regina, without maintaining backward compatibility. If you use this class directly in your own code, please watch the detailed changelogs upon new releases to see if you need to make changes to your code.

Python:\n Not present.

The documentation for this class was generated from the following file:

- enumerate/treeconstraint.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).